# Publish a post now

`POST /workspace/publish/now` · Rivier · social

Publish a post now.

- Scope: social:write
- Mcp: rivier_publish
- Graphql: Mutation.socialPostPublish
- Sdk: social.post.publish
- Cli: social post publish
- Events: social.post.published

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "channel": {
      "type": "string",
      "minLength": 1,
      "maxLength": 32
    },
    "connectionId": {
      "type": "string",
      "format": "uuid"
    },
    "body": {
      "type": "string",
      "minLength": 1,
      "maxLength": 20000
    },
    "mediaUrl": {
      "anyOf": [
        {
          "type": "string",
          "format": "uri",
          "maxLength": 2048
        },
        {
          "type": "null"
        }
      ]
    }
  },
  "required": [
    "channel",
    "connectionId",
    "body"
  ],
  "additionalProperties": false
}
```

## Responses

- `201`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/workspace/publish/now' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "channel": "string",
  "connectionId": "string",
  "body": "string"
}'
```
